---
title: font-variant-position
slug: Web/CSS/font-variant-position
tags:
  - CSS
  - CSS Fonts
  - CSS Property
  - Reference
  - 'recipe:css-property'
---
<div>{{CSSRef}}</div>

<p>The <strong><code>font-variant-position</code></strong> CSS property controls the use of alternate, smaller glyphs that are positioned as superscript or subscript.</p>

<p>The glyphs are positioned relative to the baseline of the font, which remains unchanged. These glyphs are typically used in {{HTMLElement("sub")}} and {{HTMLElement("sup")}} elements.</p>

<pre class="brush:css no-line-numbers notranslate">/* Keyword values */
font-variant-position: normal;
font-variant-position: sub;
font-variant-position: super;

/* Global values */
font-variant-position: inherit;
font-variant-position: initial;
font-variant-position: unset;
</pre>

<p>When the usage of these alternate glyphs is activated, if one character in the run doesn't have such a typographically-enhanced glyph, the whole set of characters of the run is rendered using a fallback method, synthesizing these glyphs.</p>

<p>These alternate glyphs share the same em-box and the same baseline as the rest of the font. They are merely graphically enhanced, and have no effect on the line-height and other box characteristics.</p>

<h2 id="Syntax">Syntax</h2>

<p>The <code>font-variant-position</code> property is specified as one of the keyword values listed below.</p>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>Deactivates alternate superscript and subscript glyphs.</dd>
 <dt><code>sub</code></dt>
 <dd>Activates subscript alternate glyphs. If, in a given run, one such glyph is not available for a character, all the characters in the run are rendered using synthesized glyphs.</dd>
 <dt><code>super</code></dt>
 <dd>Activates superscript alternate glyphs. If, in a given run, one such glyph is not available for a character, all the characters in the run are rendered using synthesized glyphs.</dd>
</dl>
<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{csssyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="Setting_superscript_and_subscript_forms">Setting superscript and subscript forms</h3>

<h4 id="HTML">HTML</h4>

<pre class="brush:html notranslate">&lt;p class="normal"&gt;Normal!&lt;/p&gt;
&lt;p class="super"&gt;Super!&lt;/p&gt;
&lt;p class="sub"&gt;Sub!&lt;/p&gt;
</pre>

<h4 id="CSS">CSS</h4>

<pre class="brush:css notranslate">p {
  display: inline;
}

.normal {
  font-variant-position: normal;
}

.super {
  font-variant-position: super;
}

.sub {
  font-variant-position: sub;
}
</pre>

<h4 id="Result">Result</h4>

<p>{{ EmbedLiveSample('Setting_superscript_and_subscript_forms') }}</p>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('CSS3 Fonts', '#propdef-font-variant-position', 'font-variant-position')}}</td>
   <td>{{Spec2('CSS3 Fonts')}}</td>
   <td>Initial definition.</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("css.properties.font-variant-position")}}</p>

<h2 id="See-also">See Also</h2>

<ul>
  <li>{{cssxref("font-variant-alternates")}}</li>
  <li>{{cssxref("font-variant-caps")}}</li>
  <li>{{cssxref("font-variant-east-asian")}}</li>
  <li>{{cssxref("font-variant-ligatures")}}</li>
  <li>{{cssxref("font-variant-numeric")}}</li>
 </ul>
